﻿@model GeneralDiscountViweModel
@{
    Layout = null;
}

<!DOCTYPE html>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{pageTitle}}
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="place-left one-half  padding-right20">
        <label class="req-star">Name</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
            <input ng-model="@Html.Ang(m => m.Name)" type="text" @Html.AngTooltipValidationFor(model => model.Name) />
        </div>
    </div>
    <div class="clearfix"></div>
    <hr />
   @*//Add discount*@
    
    <div class="place-left one-half  padding-right20">
        <label class="req-star">Participant condition</label>
        <div class="place-left one-half" style="padding-right: 20px">

            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedConditionParticipent)>
                <div class="input-control select" data-role="input-control" @Html.AngTooltipValidationFor(model => model.SelectedConditionParticipent)>
                    <select kendo-drop-down-list
                            k-data-text-field="'Text'"
                            k-data-value-field="'Value'"
                            k-data-source="@Html.Ang(m => m.ConditionParticipent)"
                            k-ng-model="@Html.Ang(m => m.SelectedConditionParticipent)"
                            @*k-on-change="GetApplayType()"*@></select>
                </div>
            </div>
        </div>
    </div>
  
    <div class="clearfix"></div>
    <div class="place-left one-half  padding-right20">
        <label class="req-star">Program condition</label>
        <div class="place-left one-half" style="padding-right: 20px">
            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedConditionProgram)>
                <div class="input-control select" data-role="input-control" @Html.AngTooltipValidationFor(model => model.SelectedConditionProgram)>
                    <select kendo-drop-down-list
                            k-data-text-field="'Text'"
                            k-data-value-field="'Value'"
                            k-data-source="@Html.Ang(m => m.ConditionProgram)"
                            k-ng-model="@Html.Ang(m => m.SelectedConditionProgram)"></select>
                </div>
            </div>
        </div>
    </div>

   
    <div class="clearfix"></div>
    <hr />

    <div class="place-left one-half  padding-right20">
        <div class="place-left one-half" style="padding-right: 20px">
            <label class="req-star">{{nopLabel}}</label>
            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.NOP)>
                <div class="input-control select" data-role="input-control" @Html.AngTooltipValidationFor(model => model.NOP)>
                    <select kendo-drop-down-list
                            k-data-text-field="'Text'"
                            k-data-value-field="'Value'"
                            k-data-source="@Html.Ang(m => m.NopItems)"
                            k-ng-model="@Html.Ang(m =>m.NOP)"
                            k-on-change="changeApplyType()"></select>
                </div>
            </div>
        </div>
        <div class="place-left one-half">
            <label ng-hide="Model.NOP.Text=='Select'">Apply the discount to</label>
            <div class="input-control select" data-role="input-control" ng-hide="Model.NOP.Text=='Select'">
                <select ng-model="applyType" ng-options="item.text for item in applyitems" placeholder="Select"></select>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <hr />


    <div class="place-left one-half  padding-right20">
        <div class="place-left one-half" style="padding-right: 20px">
            @*//Add dropdown*@
            <label class="req-star">Discount type</label>
            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedAmountType)>
                <div class="input-control select" data-role="input-control" @Html.AngTooltipValidationFor(model => model.SelectedAmountType)>
                    <select kendo-drop-down-list
                            k-data-text-field="'Text'"
                            k-data-value-field="'Value'"
                            k-data-source="@Html.Ang(m => m.GeneralAmountType)"
                            k-ng-model="@Html.Ang(m => m.SelectedAmountType)"></select>
                </div>
            </div>
        </div>
        <div class="place-left one-half">
            <label class="req-star" ng-hide="Model.SelectedAmountType.Value==-1">Discount amount</label>
            <div ng-hide="Model.SelectedAmountType.Value==-1" class="input-control  text price place-left" data-role="input-control" data-sign="{{Model.SelectedAmountType.Value ==0 ?'$':'%'}}" @Html.AngValidationClassFor(model => model.Amount)>
                <input ng-model="@Html.Ang(m => m.Amount)" type="text" @Html.AngTooltipValidationFor(model => model.Amount) />
            </div>
        </div>
    </div>

@*//Program*@
    <div class="clearfix"></div>
    <hr />
    <div class="place-left one-half  padding-right20 ">
        <label class="req-star">Eligible programs</label>
        <div class="place-left one-half" style="padding-right: 20px">

            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedProgramMode)>
                <div class="input-control select" data-role="input-control" @Html.AngTooltipValidationFor(model => model.SelectedProgramMode)>
                    <select kendo-drop-down-list
                            k-data-text-field="'Text'"
                            k-data-value-field="'Value'"
                            k-data-source="@Html.Ang(m => m.IsAllPrograms)"
                            k-ng-model="@Html.Ang(m => m.SelectedProgramMode)"></select>
                </div>
            </div>
        </div>
            <div  class="place-left one-half">
                <div class="input-control select" data-role="input-control" ng-show="Model.SelectedProgramMode.Value=='SelectedPrograms'" @Html.AngValidationClassFor(model => model.SelectedPrograms)>
                    <div class="input-control select" data-role="input-control" @Html.AngTooltipValidationFor(model => model.SelectedPrograms)>
                        <select kendo-multi-select
                                id="selectedPrograms"
                                k-options="programOptions"
                                k-auto-bind="false"
                                ng-model="@Html.Ang(m => m.SelectedPrograms)"></select>
                    </div>
                </div>
            </div>   
    </div>
    <div class="clearfix"></div>
    <div>

        <div class="place-left one-half  padding-right20">
            <label>Break discount combination choices in favor of</label>
            <div class="input-control select" data-role="input-control">
                <select kendo-drop-down-list
                        k-data-text-field="'Text'"
                        k-data-value-field="'Value'"
                        k-data-source="@Html.Ang(m => m.BenefitItems)"
                        k-ng-model="@Html.Ang(m => m.SelectedBenefit)"></select>
            </div>
        </div>
        <div class="clearfix"></div>


        <div class="discount-preview multi-person text-center" ng-show="Model.NOP.Value!=0">
            @*******//First******@
            <div class="place-left one-third">
                <p ng-show="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value=='SelectCondition'">1st {{Model.NOP.Value > 2 ? "- " + (Model.NOP.Value - 1 + "").toOrdinal() : ""}} program</p>
                <p ng-show="Model.SelectedConditionProgram.Value=='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">1st {{Model.NOP.Value > 2 ? "- " + (Model.NOP.Value - 1 + "").toOrdinal() : ""}} user</p>
                <p ng-show="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">1st {{Model.NOP.Value > 2 ? "- " + (Model.NOP.Value - 1 + "").toOrdinal() : ""}} <span ng-if="Model.NOP.Value == 2">order</span><span ng-if="Model.NOP.Value != 2">orders</span></p>

                <div ng-show="Model.SelectedConditionProgram.Value=='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">
                    <img ng-show="Model.NOP.Value == 2" src="~/Images/Dashboard/Icons/Discounts/Person2.png" />
                    <img ng-show="Model.NOP.Value == 3" src="~/Images/Dashboard/Icons/Discounts/Person3.png" />
                    <img ng-show="Model.NOP.Value == 4" src="~/Images/Dashboard/Icons/Discounts/Person4.png" />
                    <img ng-show="Model.NOP.Value == 5" src="~/Images/Dashboard/Icons/Discounts/Person5.png" />
                </div>
                <div ng-show="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value=='SelectCondition'">
                    <img ng-show="Model.NOP.Value == 2" src="~/Images/Dashboard/Icons/Discounts/Calender2.png" />
                    <img ng-show="Model.NOP.Value == 3" src="~/Images/Dashboard/Icons/Discounts/Calender3.png" />
                    <img ng-show="Model.NOP.Value == 4" src="~/Images/Dashboard/Icons/Discounts/Calender4.png" />
                    <img ng-show="Model.NOP.Value == 5" src="~/Images/Dashboard/Icons/Discounts/Calender5.png" />
                </div>
                @*//For order*@
                <div ng-if="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">
                    <img ng-show="Model.NOP.Value == 2" src="~/Images/Dashboard/Icons/Discounts/Order.png" />
                    <img ng-show="Model.NOP.Value == 3" src="~/Images/Dashboard/Icons/Discounts/Order2.png" />
                    <img ng-show="Model.NOP.Value == 4" src="~/Images/Dashboard/Icons/Discounts/Order3.png" />
                    <img ng-show="Model.NOP.Value == 5" src="~/Images/Dashboard/Icons/Discounts/Order4.png" />
                </div>
                <div>
                    <strong ng-if="applyType.value != 0">FULL PRICE</strong>
                    <div ng-if="applyType.value == 0">
                        <strong ng-if="Model.SelectedAmountType.Value==0">${{@Html.Ang(m => m.Amount)}} OFF</strong>
                        <strong ng-if="Model.SelectedAmountType.Value ==1">{{@Html.Ang(m => m.Amount)}}% OFF</strong>
                    </div>
                </div>
            </div>
            @*//****Center*****@
            <div class="place-left one-third">
                <p ng-show="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value=='SelectCondition'">{{(Model.NOP.Value).toOrdinal()}} program</p>
                <p ng-show="Model.SelectedConditionProgram.Value=='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">{{(Model.NOP.Value).toOrdinal()}} user</p>
                <p ng-show="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">{{(Model.NOP.Value).toOrdinal()}} order</p>

                <div ng-if="Model.SelectedConditionProgram.Value=='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">
                    <img src="~/Images/Dashboard/Icons/Discounts/Person.png" />
                </div>

                <div ng-if="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value=='SelectCondition'">
                    <img src="~/Images/Dashboard/Icons/Discounts/SingleEventCalendar.png" />
                </div>
                <div ng-if="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">
                    <img src="~/Images/Dashboard/Icons/Discounts/Order.png" />
                </div>
                <div>
                    <strong ng-if="Model.SelectedAmountType.Value==0">${{@Html.Ang(m => m.Amount)}} OFF</strong>
                    <strong ng-if="Model.SelectedAmountType.Value ==1">{{@Html.Ang(m => m.Amount)}}% OFF</strong>
                </div>
            </div>
            @********//end*******@
            <div class="place-left one-third">
                <p>All others</p>
                <div ng-if="Model.SelectedConditionProgram.Value=='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">
                    <img ng-show="Model.NOP.Value == 2" src="~/Images/Dashboard/Icons/Discounts/person2Plus.png" />
                    <img ng-show="Model.NOP.Value == 3" src="~/Images/Dashboard/Icons/Discounts/person3Plus.png" />
                    <img ng-show="Model.NOP.Value == 4" src="~/Images/Dashboard/Icons/Discounts/person4Plus.png" />
                    <img ng-show="Model.NOP.Value == 5" src="~/Images/Dashboard/Icons/Discounts/person5Plus.png" />
                </div>
                <div ng-if="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value=='SelectCondition'">
                    <img src="~/Images/Dashboard/Icons/Discounts/FullCalendar.png" />
                </div>
                <div ng-if="Model.SelectedConditionProgram.Value!='SelectCondition' && Model.SelectedConditionParticipent.Value!='SelectCondition'">
                    <img ng-show="Model.NOP.Value == 2" src="~/Images/Dashboard/Icons/Discounts/Order2plus.png" />
                    <img ng-show="Model.NOP.Value == 3" src="~/Images/Dashboard/Icons/Discounts/Order3plus.png" />
                    <img ng-show="Model.NOP.Value == 4" src="~/Images/Dashboard/Icons/Discounts/Order4plus.png" />
                    <img ng-show="Model.NOP.Value == 5" src="~/Images/Dashboard/Icons/Discounts/Order5plus.png" />
                </div>
                <div>
                    <strong ng-if="applyType.value == 1">FULL PRICE</strong>
                    <div ng-if="applyType.value != 1">
                        <strong ng-if="Model.SelectedAmountType.Value ==0">${{@Html.Ang(m => m.Amount)}} OFF</strong>
                        <strong ng-if="Model.SelectedAmountType.Value==1">{{@Html.Ang(m => m.Amount)}}% OFF</strong>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
    <hr />
    <button type="button" class="success place-right large button" data-ng-click="saveDiscount()">Save</button>
    <button type="button" class="link place-left large button" ui-sref="Discounts({seasonDomain: MC.stateParams.seasonDomain})">Cancel</button>

    <div class="clearfix"></div>

</div>
